local O = { }

local kind_icons = {
  Text = "",
  Method = "",
  Function = "",
  Constructor = "",
  Field = '',
  Variable = "",
  Class = "ﴯ",
  Interface = "",
  Module = "",
  Property = "ﰠ",
  Unit = "",
  Value = "",
  Enum = "",
  Keyword = "",
  Snippet = "",
  Color = "",
  File = "",
  Reference = "",
  Folder = "",
  EnumMember = "",
  Constant = '',
  Struct = "",
  Event = "",
  Operator = "",
  TypeParameter = ""
}
O.kind_icons = kind_icons;

local signs = { Error = "☣️ ", Warn = "😞", Hint = "❤️ ", Info = "🆓", CodeAction = "🈁" }
O.signs = signs;

-- Set the icons {{{
require('vim.lsp.protocol').CompletionItemKind = {
    kind_icons.Text,
    kind_icons.Method,
    kind_icons.Function,
    kind_icons.Constructor,
    kind_icons.Field,
    kind_icons.Variable,
    kind_icons.Class,
    kind_icons.Interface,
    kind_icons.Module,
    kind_icons.Property,
    kind_icons.Unit,
    kind_icons.Value,
    kind_icons.Enum,
    kind_icons.Keyword,
    kind_icons.Snippet,
    kind_icons.Color,
    kind_icons.File,
    kind_icons.Reference,
    kind_icons.Folder,
    kind_icons.EnumMember,
    kind_icons.Constant,
    kind_icons.Struct,
    kind_icons.Event,
    kind_icons.Operator,
    kind_icons.TypeParameter,
}

-- }}}

return O;
